# Passenger::BacktracesServer Class Reference

A MessageServer handler for reporting the backtraces of all running oxt::threads. More...

`#include <BacktracesServer.h>`

Inheritance diagram for Passenger::BacktracesServer:

[legend]

List of all members.

## Public Member Functions
virtual bool | processMessage (MessageServer::CommonClientContext &commonContext, MessageServer::ClientContextPtr &handlerSpecificContext, const vector< string > &args)
| Called then a client has sent a request message.

## Detailed Description

A MessageServer handler for reporting the backtraces of all running oxt::threads.

## Member Function Documentation

virtual bool Passenger::BacktracesServer::processMessage | ( | MessageServer::CommonClientContext & | commonContext,
|  | MessageServer::ClientContextPtr & | handlerSpecificContext,
|  | const vector< string > & | args |
| ) |  |  | `[inline, virtual]`

Called then a client has sent a request message.

This method is called after newClient() is called.

Parameters:

  | commonContext | Contains common client-specific information.
  | handlerSpecificContext | The client context object as was returned earlier by newClient().
  | args | The request message's contents.

Returns:
  Whether this handler has processed the message. Return false if the message is unrecognized.

Implements Passenger::MessageServer::MessageServer::Handler.

The documentation for this class was generated from the following file:

- BacktracesServer.h